<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ghasedak
 */

get_header();
?>
<div class="dw-wrapper">
    <div class="dw-category-archive">
        <?php the_archive_title(); ?>
    </div>
    <div class="dw-post-area">
        <?php if (have_posts()): ?>
            <?php
            /* Start the Loop */
            while (have_posts()) : the_post();
                if (!has_post_format('image')): ?>
                    <article class="dw-post">
                        <?php dw_post_thumbnail() ?>
                        <?php dw_post_title(); ?>
                        <div class="dw-post-details">
                            <?php dw_post_details(); ?>
                        </div>
                        <div class="dw-content">
                            <?php the_content(); ?>
                        </div>
                        <div class="dw-post-hr"></div>
                    </article>
                <?php else:
                    get_template_part('template-parts/content', 'image');
                endif; endwhile; ?>
        <?php else: ?>
            <p class="dw-align-center">
                <?php esc_html_e('There is no post to display.', 'ghasedak') ?>
            </p>
        <?php endif; ?>
    </div>
    <?php dw_pagination(); ?>
</div>
<?php get_footer(); ?>
