<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Ghasedak
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="profile" href="https://gmpg.org/xfn/11">

    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div class="dw-search-section-field">
    <div class="dw-container">
        <form method="get" action="<?php echo esc_url(home_url()); ?>">
            <label>
                <input type="search" name="s" value="<?php the_search_query(); ?>"
                       placeholder="<?php esc_html_e('Search', 'ghasedak') ?>">
            </label>
        </form>
    </div>
</div>
<header id="masthead" class="site-header">
    <div class="dw-menubar">
        <div class="dw-wrapper prelative">
            <span class="icon-search"></span>
            <div class="dw-menu-area">
                <div class="menu-icon">
                    <a href="#" class="menu"><span></span></a>
                    <div id="hamburger">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
                <nav id="site-navigation" class="dw-menu dw-rfloat">
                    <?php wp_nav_menu(array('theme_location' => 'primary_menu')) ?>
                </nav><!-- #site-navigation -->
            </div>
        </div>
    </div>
</header><!-- #masthead -->