<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Ghasedak
 */

get_header();
?>
<div class="dw-wrapper">
    <div class="dw-category-archive">
        <?php esc_html_e('Search For: ', 'ghasedak');
        echo get_search_query(); ?>
    </div>
    <div class="dw-post-area">
        <?php if (have_posts()): ?>
            <?php
            /* Start the Loop */
            while (have_posts()) : the_post();
                if (!has_post_format('image')): ?>
                    <article class="dw-post">
                        <?php dw_post_thumbnail() ?>
                        <?php dw_post_title(); ?>
                        <div class="dw-post-details">
                            <?php dw_post_details(); ?>
                        </div>
                        <div class="dw-content">
                            <?php the_content(); ?>
                        </div>
                        <div class="dw-post-hr"></div>
                    </article>
                <?php else:
                    get_template_part('template-parts/content', 'image');
                endif; endwhile; ?>
        <?php else: ?>
            <div class="not-found-area">
                <p class="dw-align-center">
                    <?php esc_html_e('Your search did not match any results!', 'ghasedak') ?>
                </p>
            </div>
        <?php endif; ?>
    </div>
    <?php dw_pagination(); ?>
</div>
<?php get_footer(); ?>
