<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Ghasedak
 */
get_header(); ?>
<div class="dw-wrapper">
    <div class="<?php echo (get_theme_mod('post_sidebar_settings') == 'show') ? 'dw-post-side-area' : 'dw-post-area' ?>">
        <?php while (have_posts()):
            the_post(); ?>
            <article class="dw-post">
                <?php dw_post_thumbnail() ?>
                <?php if (!has_post_format('image')): ?>
                    <h1 class="dw-post-title">
                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
                    </h1>
                    <div class="dw-post-details">
                        <?php dw_post_details(); ?>
                    </div>
                <?php endif; ?>
                <div class="dw-content">
                    <?php the_content(); ?>
                </div>
            </article>
            <?php dw_post_tags();
        endwhile; ?>
    </div>
    <?php if (get_theme_mod('post_sidebar_settings') == 'show'): ?>
        <div class="sidebar">
            <?php get_sidebar() ?>
        </div>
    <?php endif; ?>
</div>
<?php dw_related_posts(); ?>
<?php
if (comments_open() || get_comments_number()) : ?>
    <div class="dw-wrapper">
        <div class="dw-post-hr"></div>
        <?php comments_template(); ?>
    </div>
<?php
endif;
get_footer(); ?>
